> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ag.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List MCP Server Tools

> Get the list of available tools from a configured MCP server



## OpenAPI

````yaml openapi.json get /mcp-servers/{mcpServerId}/tools
openapi: 3.1.0
info:
  title: Ag.dev API
  description: Public API for Ag.dev
  version: 0.1.0
servers:
  - url: https://api.ag.dev/v0.1
security: []
tags:
  - name: Agents
    description: Agent management and configuration
  - name: Runs
    description: Agent run execution and monitoring
  - name: Versioning
    description: Agent versioning, revisions, and publishing
  - name: MCP Servers
    description: MCP server management and tool discovery
  - name: Settings
    description: Organization settings and API keys
  - name: Users
    description: User information and authentication
  - name: Drives
    description: Drive management and file operations
  - name: Webhooks
    description: Webhook health checks
paths:
  /mcp-servers/{mcpServerId}/tools:
    get:
      tags:
        - MCP Servers
      summary: List MCP Server Tools
      description: Get the list of available tools from a configured MCP server
      parameters:
        - name: mcpServerId
          in: path
          required: true
          schema:
            type: string
            description: MCP server ID
      responses:
        '200':
          description: List of available tools
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/McpToolsList'
        '401':
          description: Authentication required
        '404':
          description: MCP server not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    McpToolsList:
      type: object
      properties:
        tools:
          type: array
          items:
            $ref: '#/components/schemas/McpTool'
      required:
        - tools
    McpTool:
      type: object
      properties:
        name:
          type: string
          description: Tool name
        description:
          type: string
          description: Tool description
      required:
        - name
        - description
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'Provide either X-API-Key: <key> or Authorization: Bearer <key>'

````